<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>sobitiye</title>
    <style>
        .container > div { /*записсь работает для детей первого уровня*/
            display: inline-block;
        }
    </style>

</head>
<body>
<div class="container">

    <div><input type="text"
                onchange="console.log('something')"
                name="txtSearchField"
                title="Поле для поиска"
                value="text here"></div>
    <div>
        <input type="button"
               onclick="console.log('hello')"
                name="btnLogicHandler"
                value="Press me"
                title="поле для отработки логики"></div>
    <script>
        function onBtnClck() {
            console.log(';lksadgf')
        }
    </script>
</div>
</body>
</html>